Tenant
Get this tenant's deployment
Authorization
bearerClerk AuthorizationBearer <token>
Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....
In: header
Response Body
application/json
application/problem+json
curl -X GET "https://loading/api/v1/tenant/deployment"{
"$schema": "/api/v1/schemas/DeploymentMetricsBody.json",
"instance": {
"actual_state": "string",
"app_version": "string",
"instance_id": "string",
"last_heartbeat": "2019-08-24T14:15:22Z",
"public_ip": "string",
"region": "string",
"size": "string"
},
"tier": "string",
"usage_30d": {
"cost_usd": 0.1,
"tokens": 0
},
"workspace_db": {
"size_bytes": 0
}
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Request a deployment upgrade
Authorization
bearerClerk AuthorizationBearer <token>
Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
curl -X POST "https://loading/api/v1/tenant/deployment/upgrade-request" \ -H "Content-Type: application/json" \ -d '{}'{
"$schema": "/api/v1/schemas/UpgradeRequest.json",
"created_at": "2019-08-24T14:15:22Z",
"message": "string",
"request_id": "string",
"requested_by": "string",
"tenant_id": "string"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}